Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Interface SomeValuesFromRestriction

All Superinterfaces:
  FrontsNode, OntClass, OntResource, RDFNode, Resource, Restriction

    public interface SomeValuesFromRestriction

extends Restriction

A property restriction that requires the named property to have at least one range instance belonging to the given class.

Version:
  CVS $Id: SomeValuesFromRestriction.java,v 1.10 2008/01/02 12:06:41 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)

Method Summary
`Resource` | `getSomeValuesFrom()` Answer the resource characterising the constraint on at least one value of the restricted property.
`boolean` | `hasSomeValuesFrom(Resource cls)` Answer true if this property restriction has the given class as the class to which at least one value of the restricted property must belong.
`void` | `removeSomeValuesFrom(Resource cls)` Remove the statement that this restriction has some values from the given class among the values for the restricted property.
`void` | `setSomeValuesFrom(Resource cls)` Assert that this restriction restricts the property to have at least one value that is a member of the given class.

Methods inherited from interface com.hp.hpl.jena.ontology.Restriction
`asAllValuesFromRestriction, asCardinalityRestriction, asHasValueRestriction, asMaxCardinalityRestriction, asMinCardinalityRestriction, asSomeValuesFromRestriction, convertToAllValuesFromRestriction, convertToCardinalityRestriction, convertToHasValueRestriction, convertToMaxCardinalityRestriction, convertToMinCardinalityRestriction, convertToSomeValuesFromRestriction, getOnProperty, isAllValuesFromRestriction, isCardinalityRestriction, isHasValueRestriction, isMaxCardinalityRestriction, isMinCardinalityRestriction, isSomeValuesFromRestriction, onProperty, removeOnProperty, setOnProperty`

Methods inherited from interface com.hp.hpl.jena.ontology.OntClass
`addDisjointWith, addEquivalentClass, addSubClass, addSuperClass, asComplementClass, asEnumeratedClass, asIntersectionClass, asRestriction, asUnionClass, convertToComplementClass, convertToEnumeratedClass, convertToIntersectionClass, convertToRestriction, convertToUnionClass, createIndividual, createIndividual, dropIndividual, getDisjointWith, getEquivalentClass, getSubClass, getSuperClass, hasDeclaredProperty, hasEquivalentClass, hasSubClass, hasSubClass, hasSubClass, hasSuperClass, hasSuperClass, hasSuperClass, isComplementClass, isDisjointWith, isEnumeratedClass, isHierarchyRoot, isIntersectionClass, isRestriction, isUnionClass, listDeclaredProperties, listDeclaredProperties, listDisjointWith, listEquivalentClasses, listInstances, listInstances, listSubClasses, listSubClasses, listSuperClasses, listSuperClasses, removeDisjointWith, removeEquivalentClass, removeSubClass, removeSuperClass, setDisjointWith, setEquivalentClass, setSubClass, setSuperClass`

Methods inherited from interface com.hp.hpl.jena.ontology.OntResource
`addComment, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addLabel, addRDFType, addSameAs, addSeeAlso, addVersionInfo, asAllDifferent, asAnnotationProperty, asClass, asDataRange, asDatatypeProperty, asIndividual, asObjectProperty, asOntology, asProperty, getCardinality, getComment, getDifferentFrom, getIsDefinedBy, getLabel, getOntModel, getProfile, getPropertyValue, getRDFType, getRDFType, getSameAs, getSeeAlso, getVersionInfo, hasComment, hasComment, hasLabel, hasLabel, hasRDFType, hasRDFType, hasRDFType, hasSeeAlso, hasVersionInfo, isAllDifferent, isAnnotationProperty, isClass, isDataRange, isDatatypeProperty, isDefinedBy, isDifferentFrom, isIndividual, isObjectProperty, isOntLanguageTerm, isOntology, isProperty, isSameAs, listComments, listDifferentFrom, listIsDefinedBy, listLabels, listPropertyValues, listRDFTypes, listSameAs, listSeeAlso, listVersionInfo, remove, removeComment, removeComment, removeDefinedBy, removeDifferentFrom, removeLabel, removeLabel, removeProperty, removeRDFType, removeSameAs, removeSeeAlso, removeVersionInfo, setComment, setDifferentFrom, setIsDefinedBy, setLabel, setPropertyValue, setRDFType, setSameAs, setSeeAlso, setVersionInfo`

Methods inherited from interface com.hp.hpl.jena.rdf.model.Resource
`abort, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addLiteral, addProperty, addProperty, addProperty, addProperty, begin, commit, equals, getId, getLocalName, getModel, getNameSpace, getNode, getProperty, getRequiredProperty, getURI, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasLiteral, hasProperty, hasProperty, hasProperty, hasProperty, hasURI, listProperties, listProperties, removeAll, removeProperties, toString`

Methods inherited from interface com.hp.hpl.jena.rdf.model.RDFNode
`as, canAs, inModel, isAnon, isLiteral, isResource, isURIResource, visitWith`

Methods inherited from interface com.hp.hpl.jena.graph.FrontsNode
`asNode`

Method Detail

### setSomeValuesFrom

    void setSomeValuesFrom(Resource cls)

  Assert that this restriction restricts the property to have at least one value that is a member of the given class. Any existing statements for `someValuesFrom` will be removed.

  Parameters:
    `cls` - The class that at least one value of the property must belong to
  Throws:
    `OntProfileException` - If the `Profile.SOME_VALUES_FROM()` property is not supported in the current language profile.

### getSomeValuesFrom

    Resource getSomeValuesFrom()

  Answer the resource characterising the constraint on at least one value of the restricted property. This may be a class, the URI of a concrete datatype, a DataRange object or the URI rdfs:Literal.

  Returns:
    A resource, which will have been pre-converted to the appropriate Java value type (`OntClass` or `DataRange`) if appropriate.
  Throws:
    `OntProfileException` - If the `Profile.ALL_VALUES_FROM()` property is not supported in the current language profile.

### hasSomeValuesFrom

    boolean hasSomeValuesFrom(Resource cls)

  Answer true if this property restriction has the given class as the class to which at least one value of the restricted property must belong.

  Parameters:
    `cls` - A class to test
  Returns:
    True if the given class is the class to which at least one value must belong
  Throws:
    `OntProfileException` - If the `Profile.SOME_VALUES_FROM()` property is not supported in the current language profile.

### removeSomeValuesFrom

    void removeSomeValuesFrom(Resource cls)

  Remove the statement that this restriction has some values from the given class among the values for the restricted property. If this statement is not true of the current model, nothing happens.

  Parameters:
    `cls` - A Resource the denotes the class to be removed from this restriction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP